# 长文总结

## 1. 

灵宝生成

**system**: 

```
长文本总结助手，能够总结用户给出的文本、生成摘要和大纲

你是一个擅长总结长文本的助手，能够总结用户给出的文本，并生成摘要
##工作流程：
让我们一步一步思考，阅读我提供的内容，并做出以下操作：
- 标题：xxx
- 作者：xxx
- 标签：阅读文章内容后给文章打上标签，标签通常是领域、学科或专有名词
- 一句话总结这篇文文章:xxx
- 总结文章内容并写成摘要:xxx
- 越详细地列举文章的大纲，越详细越好，要完整体现文章要点；
##注意
- 只有在用户提问的时候你才开始回答，用户不提问时，请不要回答
```

**user**: 

```
根据灵宝策划案，帮我生成对应的md文件
```

**assistant**: 

```


# 灵宝系统设计文档

## 功能概述
灵宝系统为玩家提供针对特定英雄的养成玩法，通过升星提升灵宝的属性、激活附带的技能，支持穿戴/卸下操作灵活调整战斗搭配。当特定英雄穿戴特定灵宝时，可激活灵宝当前星级所提供的技能效果。

## 核心规则
1. **灵宝绑定**  
   部分灵宝预设关联一名英雄（即“专属英雄”），仅当装备给该英雄时，灵宝当前星级对应的技能生效。

2. **升星成长**  
   消耗同名灵宝本体升星，每星都可提升属性，关键星级解锁或提升专属技能。

3. **自由装备**  
   灵宝可装备给任意英雄，但非专属英雄仅享受属性提升。

4. **存储**  
   灵宝可以存放在背包中，也可以装备在英雄身上。

5. **唯一实例**  
   - 玩家首次获得的灵宝，为该灵宝在玩家数据中的唯一实例，仅能对这个灵宝进行升星。  
   - 后续获取的灵宝本体，可堆叠在一起作为材料。  
   - 同一个灵宝拥有3种关联资源：  
     1. 唯一实例。  
     2. 作为材料的本体。  
     3. 灵宝碎片（可合成唯一实例或本体）。

6. **属性与技能**  
   灵宝拥有属性和技能，有不同品质之分，品质主要通过底框和颜色区分，附带的属性和技能由配置表配置。

---

## 设计目的
1. 在相同英雄中制造差异化（数值向、技能向、外观向）。  
2. 增加新的养成线，以便丰富养成系统，提升付费。  
3. 绑定首充英雄的专属灵宝，刺激破冰付费。

---

## 界面设计

### 背包界面
- **位置**：背包主界面的分页栏，新增【灵宝】页签。  
- **交互**：点击进入灵宝列表页，增加分割线。  
- **内容布局**：  
  1. 最上方显示可供合成的灵宝碎片（可堆叠，可合成时有红点提示，穿透到背包界面）。  
  2. 接下来显示玩家拥有的灵宝实例（每个灵宝唯一，通过升星成长，不存在多个同名实例，不可堆叠）。  
  3. 然后显示其他作为材料的灵宝本体（可堆叠）。  
  4. 最后显示未满个数不可合成的灵宝碎片（可堆叠）。  

- **操作按钮**：  
  - **升星**：点击灵宝实例跳转至详情页操作，升星按钮处需要显示消耗材料、未满足时的状态，以及已满星等状态信息。升级成功后需要有提示界面，包含属性增长、技能变化等关键信息。  
  - **合成**：点击灵宝碎片，界面上显示合成所需数量，有条件不满足时的状态表达和提示信息，碎片达到阈值时显示红点，合成后可兑换1个灵宝实例（首次获取时为实例）或本体。  
  - **材料类本体**：点开后查看灵宝的效果，不带有其他操作按钮，同时在下方提示玩家此为灵宝材料，请前往实例升级的跳转按钮。点击跳转按钮跳转至对应实例。

### 英雄界面
- **位置**：英雄详情页中新增【灵宝】独立Icon（如剑形图标），悬浮于英雄形象旁。  
- **交互**：  
  - **已装备灵宝**：点击Icon弹出当前装备的灵宝信息卡（显示星级、属性、技能），包含升星按钮和升星需要的相关状态，同时还有卸下和更换的按钮。  
  - **未装备灵宝**：点击Icon弹出灵宝装备界面，灵宝装备界面是一个小弹窗，上面只显示灵宝的实例，玩家再次点击后装备成功（更换操作时也是如此），这个小弹窗上会对专属于本英雄的灵宝有信息提示（推荐前置）。  

- **操作按钮**：  
  - **卸下按钮**：已装备灵宝信息卡右下角显示【卸下】按钮。  
  - **更换按钮**：点击灵宝信息卡弹出装备列表，再次选择后可对灵宝进行替换，若选择了已经被其他英雄装备的灵宝，需要弹出二次确认框，当前灵宝已经被XX装备，是否替换，玩家确认后，两位英雄的灵宝互换。  

- **未装备提示**：需要在灵宝处显示带加号的框体，让玩家知道需要装备灵宝。  

- **排序方式**：界面提及的排序方式均按照以下顺序排列：已穿戴、品质从大到小、星级从大到小、ID从小到大。  

- **红点提示**：  
  1. 当英雄有可用的灵宝，但未装备时（该红点仅显示在英雄本身页面，不穿透到英雄界面主ICON）。  
  2. 当英雄穿戴了可升级的灵宝，但未升级时。  
  3. 当英雄穿戴的灵宝已可被更高品质或星级替代时。

---

## 灵宝系统操作功能清单

1. **升星**  
   - **功能**：消耗同名灵宝本体提升星级，解锁属性与技能。  
   - **触发**：灵宝界面点击【升星】。  
   - **规则**：  
     - 每星级消耗本体数量由配置表定义，升星100%成功。  
     - 关键星级（如3/6星）解锁技能，属性按配置叠加。  

2. **穿戴**  
   - **功能**：将灵宝装备给指定英雄。  
   - **触发**：英雄界面点击【穿戴灵宝】。  
   - **规则**：  
     - 每个英雄同一时间仅能装备1件灵宝。  
     - 若英雄已装备灵宝，新装备自动替换旧灵宝。  
     - **技能生效条件**：仅当装备给专属英雄，且灵宝星级满足条件时，灵宝技能生效。  

3. **卸下**  
   - **功能**：解除英雄当前装备的灵宝。  
   - **触发**：英雄界面点击已装备灵宝的【卸下】按钮。  
   - **规则**：卸下后灵宝可重新装备。  

4. **替换**（穿戴的子流程）  
   - **功能**：穿戴新灵宝时自动替换旧灵宝。  
   - **触发**：英雄已装备其他灵宝。  
   - **规则**：无需确认，直接完成卸旧换新。

---

## 总结
灵宝系统通过灵宝的装备、升星和技能激活，为玩家提供了全新的养成玩法，帮助英雄在战斗中获得更大的优势。该系统不仅丰富了游戏的深度，还通过灵宝的专属绑定和养成需求，刺激了玩家的付费行为，为游戏的经济体系提供了支持。同时，灵宝系统的模块化设计使其具有较强的扩展性，可在后续版本中继续增加新的灵宝类型和玩法，进一步提升玩家的游戏体验。
```



--------------------


<a href="https://chatboxai.app" style="display: flex; align-items: center;">
<img src='https://chatboxai.app/icon.png' style='width: 40px; height: 40px; padding-right: 6px'>
<b style='font-size:30px'>Chatbox AI</b>
</a>
